<?php

/** @var \Illuminate\Database\Eloquent\Factory $factory */

use Faker\Generator as Faker;

$entity = App\Models\MediaSource::class;

$factory->define($entity, function (Faker $faker) {
    return [
        'name' => $faker->unique()->name,
    ];
});

$factory->state($entity, 'banned', [
    'ban' => true,
]);
